---
layout: wip
title: Help an independent film featuring Monero get to the Oscars™!
author: markofdistinction_
date: January 20, 2023
amount: 154
milestones:
  - name: upon approval
    funds: 77
    done:
    status: unfinished
  - name: upon qualifying for Academy Award
    funds: 77
    done:
    status: unfinished
payouts:
  - date:
    amount:
  - date:
    amount:
---

### Note: This proposal generated significant and thoughtful discussion; potential donors are invited to read it [here](https://repo.getmonero.org/monero-project/ccs-proposals/-/merge_requests/371).

![HorizontalPoster](https://raw.githubusercontent.com/markofdistinction/ccs/main/MarkOfDistinction_16x9_1280x720.jpg)

# Help an independent film featuring Monero get to the Oscars™!

### Who are you?

Hey all, my name is George Nicholas, an “award-winning” filmmaker and Monero enthusiast. You can see my IMDb profile here: https://www.imdb.com/name/nm11077440/    
I was involved with making "Monero Means Money".

### What’s up?

I’ve written and directed an independent, 38-minute live-action film titled MARK OF DISTINCTION. The film is in Spanish and English and was shot in Tijuana, Mexico in July of ‘22 on 16mm Kodak film. It features Monero, but is not focused on it -- it is inspired by real events and tells the story of a 16-year-old boy who gets recruited by the Mexican cartel to smuggle liquid meth across the border. The boy dies tragically at the hands of U.S. Customs and Border Protection, who ask him to drink the liquid to prove that it’s not drugs.
    
    
You can see a report and footage of the incident here:
https://www.youtube.com/watch?v=7KsKtVnrRaM    
And some behind-the-scenes photos from our shoot [here](https://twitter.com/markofdistinctn/status/1554237266460954625?s=20) and [here](https://twitter.com/markofdistinctn/status/1554237518098313217?s=20).    
    
Government coercion over the individual is the reason I came to Monero and it is the reason I was driven to tell this story.

### How is this related to Monero?

Monero is featured in 3 scenes. As background, the protagonist, MANUEL, has found a physical Monero coin that his father had stashed away for him before his disappearance--

### Did you just say a physical Monero coin? gtfo

Yeah, a physical Monero coin, like this one: https://bitcointalk.org/index.php?topic=1502918.0

### OK, so what happens next?

So, Manuel is carrying the coin around in his pocket like an idiot, not realizing what he has. His friend, RODOLFO, sees him trying to shove it down a slot machine, but thankfully the coin is too big to fit. Rodolfo explains to him what he has and Manuel’s eyes light up. Outside the bar, the two get beat up because of an earlier incident and the hooligans make off with Manuel’s scooter and his coin. Manuel gets his revenge and recovers the scooter, but not the coin. Rodolfo later finds the coin and tries to give it back to Manuel, but it is too late…    
    
Monero represents the boy’s potential – the unrealized wealth that every individual carries within, although not everyone finds the key to unlock it. The coin ends up with the person who understands its value, as often happens in real life.

### How can we help?

I self-funded the shoot and post-production (the budget was in the low six figures), which exhausted my personal savings. We need funds for the most crucial phase – the release of the film. This includes getting it in front of festivals and promoting it there, hiring a publicist, running an awards campaign. All this costs money and I am coming to the Monero community for help.

### What do we get in return?
##### 1. Exposure (the good kind)
The film has the chance of reaching hundreds of thousands and even millions of people. Not every viewer will become a Monero user, but they will all be exposed to Monero in a positive way. The community will also receive an acknowledgement in the credits, to the effect of "this movie was kindly supported by the Monero community" with the Monero logo and getmonero.org underneath.    
    
Monero already gets exposure in the media and [even some TV shows](https://twitter.com/vikrantnyc/status/1616152774856540166?s=20), but almost always as a Ransomcoin. This is a story that shows Monero being used in the way most of us use it -- as a savings vehicle that we can spend or pass down to our loved ones outside of anyone else's control. Monero means money, but it also represents so much more -- a path towards personal freedom, away from coercion by the state or others. This is what the film tries to get across and hopefully it succeeds.

##### 2. Physical presence
With the community's help and the right release strategy, the film will play at major festivals across the world. Anytime the film plays, this will be an opportunity for an impromptu Monero meetup. Screenings can be publicized in the community beforehand to attract local Monero fans throughout the world.

##### 3. A cause to rally behind
I know we take the whole magic internet money thing seriously around here, which is why I love Monero. It is the reason no other coin was considered to take its place in the film. And I respect the more conservative view that the CCS should only be used to fund developer work. The number of undelivered, CCS-funded projects is dishearteninig, which is why I held off on asking for help until the film was actually made and ready to go.    
    
Monero has the best p2p cash characteristics of any coin, but we could do a better job of celebrating that. This film will give us an opportunity to rally behind a cause that almost all of us agree with -- the right of the individual to remain free from oppression, especially from governments. We can go to festivals together or follow from home, celebrate the wins and mourn the losses. Consider it an exercise in community-building.

##### 4. Some cool GIFs, of course.
But you'll get them regardless, since the film is already made.

![CoinGIF](https://raw.githubusercontent.com/markofdistinction/ccs/main/coin_squeeze.gif)
    
Also, the idea to have a private screening for the community at MoneroKon was floated, which I'd be open to doing if there is interest.

### Alright, how much do you want? Spit it out.

###### We are looking to raise 154 XMR (the equivalent of $25K at Kraken’s current 20-day EMA)

### What's your Oscars strategy? (i.e. How are you going to spend it?)

Films under 40 minutes are considered live action short films by the Academy of Motion Picture Arts and Sciences. This is the category we're aiming for. There are two ways for a film to qualify:

1. The film must win an award at one of the ~130 Academy Award-qualifying festivals throughout the world:
    https://www.oscars.org/sites/oscars/files/95aa_anim_short_festivals.pdf
    Submission fees to these festivals are generally in the $50-$100 range, so that alone can eat up $10K.
2. The film must be publicly exhibited for paid admission in a movie theater in Los Angeles or New York City for
    one week:  https://www.oscars.org/sites/oscars/files/93aa_short_films.pdf 
    This is the cheaper option at about $3K, but films that qualify with a festival win are preferred by Academy voters, so we'll try the festival route first.

Once the film qualifies, the remaining funds will go towards hiring a publicist and running an awards campaign. Jim Dobson at Indie-PR has seen the film and loves it.    
He ran the Oscars campaign for AUDIBLE, a short documentary that received a nomination in 2022. https://www.indie-pr.com/about    
Another PR firm with extensive experience that has expressed interest is JJPR: http://joshuajasonpr.com/film-campaigns    
    
I make no guarantees that we will win an Oscar or be nominated, but every industry professional who has seen the film thinks we have a good chance (and not just the publicists who stand to make money). We are taking this journey and I'd like the community to come along!

### Who else has seen the film?

I've reached out to some people I know in the community, who have kindly taken the time to see it. Here's what they had to say:
 
##### jberman said:
    "This has the feel of something that would win a lot of awards."
    "Was the idea of the friend chasing him to give the coin to him basically saying Monero represented an
    alternative path to a better life/better system instead of the darker one he chose? That's how I read its place
    in the story."
##### midipoet said:
    "you don't need me to tell you, but for what it's worth, the production value is extremely high" 
    "it's pretty much feature length quality, as you were aiming for. what struck me most though was the quality
    of the acting."
##### Vik Sharma said:
    "Really, really well made."
##### Doug from MoneroTalk said:
    "Captivating! Sunita and I loved it."
##### Johnny Mnemonic said:
    "Awesome film! The Monero coin inclusion was great… 
    Touching story… I really feel for the kid at the end because he’s just trying to make things right with his grandfather. 
    I also liked that you included real footage at the end… really makes you feel how real it is. "
##### dsc said:
    "that last scene had me on the edge of my seat!"
### What happens if Monero's price fluctuates in the meantime?
The amount we're raising is denominated in XMR. Any fluctuations in fiat value are at our own risk/benefit.

### When do you expect to be paid?
50% upon approval, 50% upon qualifying for the Academy Awards, as described above.

### Is the film on any social media?

https://twitter.com/markofdistinctn    
https://instagram.com/markofdistinctionfilm    
https://fb.com/markofdistinctionfilm

### Can I see it before I donate?
Yes, please send 1 piconero (0.000000000001 XMR) to the donation address as a captcha and email markofdistinction@proton.me with the txid and tx key and you'll receive a link back.

### OK, take my money! ;-)

