---
layout: cp
title: Surae Funding for Q2 2019
author: Surae N
date: 18 March 2019
amount: 618 XMR
milestones:
  - name: Research begins and payout occurs upon completion of funding round
    funds: 100%
    done: 30 June 2019
    status: finished
payouts:
  - date: 11 April 2019
    amount: 618

---

**WHO** My name is Brandon Goodell. I am Monero Research Lab’s first postdoctoral researcher into cryptocurrency. I have a Ph.D. in Mathematical Sciences from Clemson University, a M.Sc. in Mathematics from North Dakota State University, and a B.S. in Mathematics from Colorado State University. I taught as a graduate student for 9 years at the university level, and I have participated in the Monero community under the pseudonym Surae Noether on-and-off 2014-2016, and I have worked at MRL full-time since June 2017.

**WHAT** I am requesting a continuation of funding for April, May, and June 2019. An incomplete list of overall lab-wide goals for MRL in the 2018/2019 year are described [here](https://github.com/monero-project/research-lab/issues). An ongoing list of research topics is difficult to maintain, since research is fluid and so often leads to rejected material, but for additional action items, see the proposal [by Sarang](https://ccs.getmonero.org/proposals/sarang-2019-q2.html). Moreover, expect soon the following:
1.  Submission of thring signature publication for peer-review (journal still under selection).
2.  Submission of a DLSAG publication for peer-review (still in preparation with our co-authors).
3.  A technical note on the possibility of replacing MLSAG RingCT with shorter LSAG RingCT using Musig-style key aggregation.
4.  Our matching/linkability work will be presented at the Monero Konferenco.

**WHY** Monero Research Lab has communicated with researchers all over the cryptocurrency industry, cryptographers, computer scientists, and computer engineers. In the past year, we have traveled internationally to conferences to learn and participate in the dissemination of results, contributed to several published technical notes/white papers on the technology underlying Monero, helped read and review papers for other researchers, participated in the cryptocurrency community more broadly, and learned quite a bit about decentralized payment infrastructures. Our work into multisig revealed a lot of dangerous territory in the multi-signature world, and some of this work is paying off in terms of compression of signature sizes. Our work into bipartite weighted matching has a chance of being rather foundational in assessing anonymity in cryptocurrencies like Monero.

**RATES AND AMOUNTS** My rate is based on the 14-day moving average exponential on Kraken from 18 March 2018, which is approximately 50.50 USD per XMR, and my monthly rate of 10,400 USD per month.

**AN IMPORTANT CHANGE** Please read this paragraph carefully for an important change. Research funding over many months suffers from price volatility. Neither donors nor researchers at MRL know the value of donations when they are eventually paid out. To mitigate this and provide the most stability, this request will be paid out in full when it is funded. Please see the [request by Sarang here](https://ccs.getmonero.org/proposals/sarang-2019-q2.html) for a similar statement.

**Conflicts of Interest** I have two conflicts to report, neither of which lead to any substantial monetary conflict of interest. First, I am the President of MAGIC, Multidisciplinary Academic Grants in Cryptocurrencies, for which I receive no compensation. I am also the sole proprietor of Colorado Crypto Conferences LLC, the company hosting the first Monero Konferenco in Denver on 22-23 June 2019. However, I have pledged the gross profit of the Monero Konferenco in 2019 toward the 2020 event and will receive no profit in 2019 from this event.

**Thank you, Monero Community!** We at MRL strongly value community input into the funding process, and welcome discussions regarding my funding proposal. Thank you again to the entire community, whether you've donated to me or not... you guys are absolutely running the show, and you all kick some major butt. I hope by making Monero better, we're all a little better off.